librevenge::RVNGSVGPresentationGeneratorImpl Struct Reference documentation

Public Member Functions | Public Attributes | List of all members
librevenge::RVNGSVGPresentationGeneratorImpl Struct Reference

## Public Member Functions
| RVNGSVGPresentationGeneratorImpl (RVNGStringVector &m_vec)
void | writeStyle (bool isClosed=true)
void | drawPolySomething (const RVNGPropertyListVector &vertices, bool isClosed)

## Public Attributes
std::map< int, RVNGPropertyList > | m_idSpanMap
RVNGPropertyListVector | m_gradient
RVNGPropertyList | m_style
int | m_gradientIndex
int | m_patternIndex
int | m_arrowStartIndex
| start arrow index More...
int | m_arrowEndIndex
| end arrow index More...
int | m_layerId
| layerId used if svg:id is not defined when calling startLayer More...
int | m_shadowIndex
std::ostringstream | m_outputSink
RVNGStringVector & | m_vec
RVNGString | m_masterName
| the actual master name More...
std::map< RVNGString, std::string > | m_masterNameToContentMap
| a map master name to master content More...
boost::shared_ptr< Table > | m_table
| the actual opened table More...

## Constructor & Destructor Documentation

## ◆ RVNGSVGPresentationGeneratorImpl()

librevenge::RVNGSVGPresentationGeneratorImpl::RVNGSVGPresentationGeneratorImpl | ( | RVNGStringVector & | m_vec | ) |

## Member Function Documentation

## ◆ drawPolySomething()

void librevenge::RVNGSVGPresentationGeneratorImpl::drawPolySomething | ( | const RVNGPropertyListVector & | vertices,
|  | bool | isClosed
| ) |  |

Referenced by librevenge::RVNGSVGPresentationGenerator::drawPolygon(), and librevenge::RVNGSVGPresentationGenerator::drawPolyline().

## ◆ writeStyle()

void librevenge::RVNGSVGPresentationGeneratorImpl::writeStyle | ( | bool | isClosed = `true` | ) |

Referenced by librevenge::RVNGSVGPresentationGenerator::drawEllipse(), librevenge::RVNGSVGPresentationGenerator::drawPath(), drawPolySomething(), and librevenge::RVNGSVGPresentationGenerator::drawRectangle().

## Member Data Documentation

## ◆ m_arrowEndIndex

int librevenge::RVNGSVGPresentationGeneratorImpl::m_arrowEndIndex

end arrow index

Referenced by writeStyle().

## ◆ m_arrowStartIndex

int librevenge::RVNGSVGPresentationGeneratorImpl::m_arrowStartIndex

start arrow index

Referenced by writeStyle().

## ◆ m_gradient

RVNGPropertyListVector librevenge::RVNGSVGPresentationGeneratorImpl::m_gradient

Referenced by librevenge::RVNGSVGPresentationGenerator::setStyle().

## ◆ m_gradientIndex

int librevenge::RVNGSVGPresentationGeneratorImpl::m_gradientIndex

Referenced by librevenge::RVNGSVGPresentationGenerator::setStyle(), and writeStyle().

## ◆ m_idSpanMap

std::map<int, RVNGPropertyList> librevenge::RVNGSVGPresentationGeneratorImpl::m_idSpanMap

Referenced by librevenge::RVNGSVGPresentationGenerator::defineCharacterStyle(), and librevenge::RVNGSVGPresentationGenerator::openSpan().

## ◆ m_layerId

int librevenge::RVNGSVGPresentationGeneratorImpl::m_layerId

layerId used if svg:id is not defined when calling startLayer

Referenced by librevenge::RVNGSVGPresentationGenerator::startLayer().

## ◆ m_masterName

RVNGString librevenge::RVNGSVGPresentationGeneratorImpl::m_masterName

the actual master name

Referenced by librevenge::RVNGSVGPresentationGenerator::endMasterSlide(), and librevenge::RVNGSVGPresentationGenerator::startMasterSlide().

## ◆ m_masterNameToContentMap

std::map<RVNGString, std::string> librevenge::RVNGSVGPresentationGeneratorImpl::m_masterNameToContentMap

a map master name to master content

Referenced by librevenge::RVNGSVGPresentationGenerator::endMasterSlide(), and librevenge::RVNGSVGPresentationGenerator::startSlide().

## ◆ m_outputSink

std::ostringstream librevenge::RVNGSVGPresentationGeneratorImpl::m_outputSink

Referenced by librevenge::RVNGSVGPresentationGenerator::closeGroup(), librevenge::RVNGSVGPresentationGenerator::closeParagraph(), librevenge::RVNGSVGPresentationGenerator::closeSpan(), librevenge::RVNGSVGPresentationGenerator::closeTableCell(), librevenge::RVNGSVGPresentationGenerator::drawEllipse(), librevenge::RVNGSVGPresentationGenerator::drawGraphicObject(), librevenge::RVNGSVGPresentationGenerator::drawPath(), drawPolySomething(), librevenge::RVNGSVGPresentationGenerator::drawRectangle(), librevenge::RVNGSVGPresentationGenerator::endLayer(), librevenge::RVNGSVGPresentationGenerator::endMasterSlide(), librevenge::RVNGSVGPresentationGenerator::endSlide(), librevenge::RVNGSVGPresentationGenerator::endTextObject(), librevenge::RVNGSVGPresentationGenerator::insertLineBreak(), librevenge::RVNGSVGPresentationGenerator::insertSpace(), librevenge::RVNGSVGPresentationGenerator::insertTab(), librevenge::RVNGSVGPresentationGenerator::insertText(), librevenge::RVNGSVGPresentationGenerator::openGroup(), librevenge::RVNGSVGPresentationGenerator::openSpan(), librevenge::RVNGSVGPresentationGenerator::openTableCell(), librevenge::RVNGSVGPresentationGenerator::setStyle(), librevenge::RVNGSVGPresentationGenerator::startLayer(), librevenge::RVNGSVGPresentationGenerator::startSlide(), librevenge::RVNGSVGPresentationGenerator::startTextObject(), and writeStyle().

## ◆ m_patternIndex

int librevenge::RVNGSVGPresentationGeneratorImpl::m_patternIndex

Referenced by librevenge::RVNGSVGPresentationGenerator::setStyle(), and writeStyle().

## ◆ m_shadowIndex

int librevenge::RVNGSVGPresentationGeneratorImpl::m_shadowIndex

Referenced by librevenge::RVNGSVGPresentationGenerator::setStyle(), and writeStyle().

## ◆ m_style

RVNGPropertyList librevenge::RVNGSVGPresentationGeneratorImpl::m_style

Referenced by librevenge::RVNGSVGPresentationGenerator::setStyle(), and writeStyle().

## ◆ m_table

boost::shared_ptr<Table> librevenge::RVNGSVGPresentationGeneratorImpl::m_table

the actual opened table

Referenced by librevenge::RVNGSVGPresentationGenerator::closeTableCell(), librevenge::RVNGSVGPresentationGenerator::closeTableRow(), librevenge::RVNGSVGPresentationGenerator::endTableObject(), librevenge::RVNGSVGPresentationGenerator::insertCoveredTableCell(), librevenge::RVNGSVGPresentationGenerator::openTableCell(), librevenge::RVNGSVGPresentationGenerator::openTableRow(), and librevenge::RVNGSVGPresentationGenerator::startTableObject().

## ◆ m_vec

RVNGStringVector& librevenge::RVNGSVGPresentationGeneratorImpl::m_vec

Referenced by librevenge::RVNGSVGPresentationGenerator::endSlide().

The documentation for this struct was generated from the following file:

- RVNGSVGPresentationGenerator.cpp